//Copyright (C)2014-2024 GOWIN Semiconductor Corporation.
//All rights reserved.
//File Title: Timing Constraints file
//Tool Version: V1.9.10 (64-bit) 
//Created Time: 2024-07-08 13:03:29
create_clock -name clk27mhz -period 37.037 -waveform {0 18.518} [get_ports {clk}]
create_generated_clock -name clk1khz -source [get_ports {clk}] -master_clock clk27mhz -divide_by 27000 [get_nets {clk1khz}]
create_generated_clock -name clk400hz -source [get_ports {clk}] -master_clock clk27mhz -divide_by 67500 [get_nets {clk400hz}]
create_generated_clock -name clk1hz -source [get_ports {clk}] -master_clock clk27mhz -divide_by 2700000 [get_nets {clk1hz}]
create_generated_clock -name clk160hz -source [get_ports {clk}] -master_clock clk27mhz -divide_by 168750 [get_nets {clk160hz}]
create_generated_clock -name clk10hz -source [get_ports {clk}] -master_clock clk27mhz -divide_by 2700000 [get_nets {clk10hz}]
create_generated_clock -name leg4_clk -source [get_nets {clk1khz}] -master_clock clk1khz -divide_by 1 [get_nets {leg4_clk}]
set_clock_groups -exclusive -group [get_clocks {clk1khz}] -group [get_clocks {clk10hz}] -group [get_clocks {clk1hz}]
set_clock_groups -asynchronous -group [get_clocks {clk160hz}] -group [get_clocks {leg4_clk}]
